/*jshint browser:true */
var playing = false;

/*global $ */(function()
{
 "use strict";
 /*
   hook up event handlers 
 */
 function register_event_handlers()
 {
    $('#audioplayer').hide();
    
    $(document).on("click", "#albumCover", function(evt){
        var audioplayer = document.getElementById("audioplayer");
        if (playing) { 
            audioplayer.pause();
            playing = false;
        } else { 
            audioplayer.play();
            playing = true;
        }
    });
    //setup AJAX request
    var request =$.ajax( {url: "http://top2012.radio2.nl/data/cache/json/nowplaying.json", method: "GET"} );
    //use the data that are in the AJAX response
    request.done(function(result){
        var myObj = result;
        var artist = myObj.artist;
        var title = myObj.title;
        var img = myObj.songversion.image[0].url;
        $('#albumCover img').attr("src",img);
    });
    //show message to user if AJAX request failed
    request.fail(function( jqXHR, textStatus ) {
      alert( "Request failed: " + textStatus );
    });
    //execute AJAX request every 3 seconds
    setInterval(request,3000);
 }
 document.addEventListener("app.Ready", register_event_handlers, false);
})();
